# Functor Packed_array.Of_binable

    module Of_binable: functor (B : sig
    include Binable.S

    include Sexpable.S
    end) -> S  with type elt := B.t

The representation of a packed array type created using `Of_binable` is a Bin_prot buffer and a packed array of indices pointing to the beginning of each serialized element in the buffer.

Parameters:

`B` | : | `sig include Binable.S include Sexpable.S with type t := t end`

    include Packed_array.Basic

    include Sexpable.S

    include Binable.S

    val get : t -> int -> elt

    val slice : t -> pos:int -> len:int -> t

    val iter : t -> f:(elt -> unit) -> unit

    val fold : t -> init:'a -> f:('a -> elt -> 'a) -> 'a

    val of_array : elt array -> t

    val to_array : t -> elt array

    val of_list : elt list -> t

    val to_list : t -> elt list

    val empty : t